Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229987 - seamonkey-1.0.8-x (critical) update prevents evolution from starting
Summary: seamonkey-1.0.8-x (critical) update prevents evolution from starting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: seamonkey
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Gecko Maintainer
QA Contact: Ben Levenson
URL:
Whiteboard:
: 230048 230070 230111 (view as bug list)
Depends On:
Blocks: 230158
TreeView+ depends on / blocked
 
Reported: 2007-02-25 15:49 UTC by Johnny Hughes
Modified: 2018-10-19 22:53 UTC (History)
9 users (show)

Fixed In Version: RHSA-2007-0077
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-26 21:47:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0077 normal SHIPPED_LIVE Critical: seamonkey security update 2007-03-13 15:30:13 UTC

Description Johnny Hughes 2007-02-25 15:49:24 UTC
The seamonkey-1.0.8-x (critical) update prevents evolution from starting.

The following error occurs:

(evolution:32071): evolution-smime-WARNING **: Failed all methods for
initializing NSS

Trying to build evolution from the SRPM also does not work as the path for nspr
(mozilla 37:1.8) is not the same as the path for nspr (seamonkey 1.0.8).

Using the patch attached to this bug:  
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=202453

I was able to start Evolution building ... whether it fixes this bug, I will
report when it finishes.

Comment 1 Johnny Hughes 2007-02-25 16:14:17 UTC
rebuilding evolution did not help, the RPM produced built against seamonkey
1.0.8 is identical to the one produced against mozilla

Comment 2 Johnny Hughes 2007-02-25 19:50:57 UTC
There is a fix that works as a work around until another solution is done, which
list to create this symbolic link:

cd /usr/lib

ln -s firefox-1.5.0.10/libfreeb13.so .

Having libfreeb13.so in /usr/lib allows evolution to start ... removing it
prevents it from starting.

This fix is from the centos bugs tracker and mailing list:

http://bugs.centos.org/view.php?id=1694

Comment 3 Homayoun Shahri 2007-02-25 21:12:16 UTC
I have exactly the same issue. After the latest rhn update evolution failed to
start. I did as suggested by Johnny (thanks), and got evolution to start.  This
is very urgent, as I am sure many other people are running into the same issue,
and are completely lost as I!



Comment 5 Johnny Hughes 2007-02-26 07:25:08 UTC
OK ... that file name should have a "lowercase L" (l) not a one (1) ...

cd /usr/lib
ln -s firefox-1.5.0.10/libfreebl3.so




Comment 6 Mark J. Cox 2007-02-26 11:17:36 UTC
*** Bug 230048 has been marked as a duplicate of this bug. ***

Comment 7 Mark J. Cox 2007-02-26 11:49:39 UTC
libfreebl3.so is new to NSS3.11 and it is dlopened by libsoftokn3.so.  Therefore
the seamonkey-nss library should be shipping libfreebl3.so in /usr/lib (and not
in the seamonkey main rpm).  We are therefore respinning seamonkey packages to
replace the current erratum packages and will expidite them through QE and
release engineering.

Comment 8 Rik Theys 2007-02-26 13:05:26 UTC
FYI: This bug also breaks gaim

Comment 10 RHEL Product and Program Management 2007-02-26 16:24:22 UTC
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.

Comment 14 Matthew Barnes 2007-02-26 19:39:07 UTC
*** Bug 230111 has been marked as a duplicate of this bug. ***

Comment 16 Red Hat Bugzilla 2007-02-26 21:47:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0077.html


Comment 19 Matěj Cepl 2007-03-09 15:27:34 UTC
*** Bug 230070 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.